Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 1334)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYBarRenderer.java	(revision 1335)
@@ -1,190 +1,190 @@
-package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
-
-import java.awt.Color;
-import java.awt.Paint;
-import java.awt.Shape;
-import java.text.DecimalFormat;
-
-import org.jfree.chart.LegendItem;
-import org.jfree.chart.axis.SymbolAxis;
-import org.jfree.chart.labels.XYSeriesLabelGenerator;
-import org.jfree.chart.labels.XYToolTipGenerator;
-import org.jfree.chart.plot.XYPlot;
-import org.jfree.chart.renderer.xy.ClusteredXYBarRenderer;
-import org.jfree.data.xy.XYDataset;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.RendererUtils;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-/**
- * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
- * @author sjacquot
- *
- */
-public class ItemSelectionXYBarRenderer extends ClusteredXYBarRenderer implements IRendererWithItemSelection {
-
-
-	/**
-	 * Chart item selector.
-	 */
-	protected MouseOverItemSelector itemsSelector;
-
-	/**
-	 *
-	 */
-	public ItemSelectionXYBarRenderer() {
-		super();
-		this.itemsSelector = new MultipleItemsSelector(this);
-		
-		// Labels
-		this.initItemLabelGenerator();
-
-		// Tooltips
-		this.initToolTipGenerator(this);
-	}
-
-
-	/**
-	 * Initializes the item label generator.
-	 */
-	public void initItemLabelGenerator()	{
-		// TODO
-	}
-
-	/**
-	 * Initializes the tool tip generator.
-	 */
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(XYDataset dataset, int series, int item) {
-
-				// Hexadecimal color
-				Color color = (Color) getSeriesPaint(series);
-				if(color != null)	{
-					String hex = "#" + Integer.toHexString(color.getRGB()).
-							substring(2);
-	
-					XYDataset xyDataset = (XYDataset) dataset;
-					Number value = xyDataset.getY(series, item);
-	
-	
-					String label;
-	
-					// Symbol Axis
-					if(getPlot().getDomainAxis() instanceof SymbolAxis && item < ((SymbolAxis)getPlot().getDomainAxis()).getSymbols().length)	{
-						label = ((SymbolAxis)getPlot().getDomainAxis()).getSymbols()[item];
-					}
-					else	{
-						label = String.valueOf(xyDataset.getXValue(series, item));
-					}
-	
-					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + label + "</p><p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span>"
-					 + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>";
-				}
-				return "";
-			}
-		});
-	}
-
-
-
-
-	@Override
-	public Paint getItemOutlinePaint(int row, int col) {
-		// Multiple selection, draw item shape outline
-		if(this.itemsSelector instanceof MultipleItemsSelector && ((MultipleItemsSelector)this.itemsSelector).isSelectedItem(row, col)) {
-			return super.getItemOutlinePaint(row, col);
-		}
-		// Do not trace not selected item outline
-		return null;
-	}
-
-
-	@Override
-	public Paint getItemPaint(int row, int col) {
-
-		Color color = (Color) super.getItemPaint(row, col);
-
-		// Mouse over item
-		if(this.itemsSelector.isMouseOverItem(row, col)) {
-			color = (Color) RendererUtils.getMouseOverItemPaint(color);
-		}
-		// Multiple selection
-		else if(this.itemsSelector instanceof MultipleItemsSelector && ((MultipleItemsSelector)this.itemsSelector).isSelectedItem(row, col))	{
-			color = (Color) RendererUtils.getSelectedItemPaint(color);
-		}
-		return color;
-	}
-
-
-	@Override
-    public LegendItem getLegendItem(int datasetIndex, int series) {
-        XYPlot xyplot = getPlot();
-        if (xyplot == null) {
-            return null;
-        }
-        XYDataset dataset = xyplot.getDataset(datasetIndex);
-        if (dataset == null) {
-            return null;
-        }
-        LegendItem result;
-        XYSeriesLabelGenerator lg = getLegendItemLabelGenerator();
-        String label = lg.generateLabel(dataset, series);
-        String description = label;
-        String toolTipText = null;
-        if (getLegendItemToolTipGenerator() != null) {
-            toolTipText = getLegendItemToolTipGenerator().generateLabel(
-                    dataset, series);
-        }
-        String urlText = null;
-        if (getLegendItemURLGenerator() != null) {
-            urlText = getLegendItemURLGenerator().generateLabel(dataset, 
-                    series);
-        }
-        Shape shape = this.getLegendBar();
-        Paint paint = lookupSeriesPaint(series);
-        result = new LegendItem(label, description, toolTipText, urlText, shape, paint);
-        result.setLabelFont(lookupLegendTextFont(series));
-        Paint labelPaint = lookupLegendTextPaint(series);
-        if (labelPaint != null) {
-            result.setLabelPaint(labelPaint);
-        }
-        result.setDataset(dataset);
-        result.setDatasetIndex(datasetIndex);
-        result.setSeriesKey(dataset.getSeriesKey(series));
-        result.setSeriesIndex(series);
-        if (getGradientPaintTransformer() != null) {
-            result.setFillPaintTransformer(getGradientPaintTransformer());
-        }
-        return result;
-    }
-
-	/**
-	 * @return the itemSelector
-	 */
-	public MouseOverItemSelector getItemsSelector() {
-		return itemsSelector;
-	}
-
-
-
-	@Override
-	public void updateDatasetForDrawingSelectedItemAsLast() {
-		// Do nothing for bar renderer
-	}
-
-
-	@Override
-	public void init() {
-		// TODO Auto-generated method stub
-		
-	}
-
-
-
-}
+package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
+
+import java.awt.Color;
+import java.awt.Paint;
+import java.awt.Shape;
+import java.text.DecimalFormat;
+
+import org.jfree.chart.LegendItem;
+import org.jfree.chart.axis.SymbolAxis;
+import org.jfree.chart.labels.XYSeriesLabelGenerator;
+import org.jfree.chart.labels.XYToolTipGenerator;
+import org.jfree.chart.plot.XYPlot;
+import org.jfree.chart.renderer.xy.ClusteredXYBarRenderer;
+import org.jfree.data.xy.XYDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
+import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.RendererUtils;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+/**
+ * Renderer providing item selection system and drawing features for selected item and custom rendering for bar charts.
+ * @author sjacquot
+ *
+ */
+public class ItemSelectionXYBarRenderer extends ClusteredXYBarRenderer implements IRendererWithItemSelection {
+
+
+	/**
+	 * Chart item selector.
+	 */
+	protected MouseOverItemSelector itemsSelector;
+
+	/**
+	 *
+	 */
+	public ItemSelectionXYBarRenderer() {
+		super();
+		this.itemsSelector = new MultipleItemsSelector(this);
+		
+		// Labels
+		this.initItemLabelGenerator();
+
+		// Tooltips
+		this.initToolTipGenerator(this);
+	}
+
+
+	/**
+	 * Initializes the item label generator.
+	 */
+	public void initItemLabelGenerator()	{
+		// TODO
+	}
+
+	/**
+	 * Initializes the tool tip generator.
+	 */
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		this.setBaseToolTipGenerator(new XYToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(XYDataset dataset, int series, int item) {
+
+				// Hexadecimal color
+				Color color = (Color) getSeriesPaint(series);
+				if(color != null)	{
+					String hex = "#" + Integer.toHexString(color.getRGB()).
+							substring(2);
+	
+					XYDataset xyDataset = (XYDataset) dataset;
+					Number value = xyDataset.getY(series, item);
+	
+	
+					String label;
+	
+					// Symbol Axis
+					if(getPlot().getDomainAxis() instanceof SymbolAxis && item < ((SymbolAxis)getPlot().getDomainAxis()).getSymbols().length)	{
+						label = ((SymbolAxis)getPlot().getDomainAxis()).getSymbols()[item];
+					}
+					else	{
+						label = String.valueOf(xyDataset.getXValue(series, item));
+					}
+	
+					return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + label + "</p><p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series) + "</span>"
+					 + ChartsEngineCoreMessages.EMPTY + " <b>" + RendererUtils.valuesNumberFormat.format(value) + "</b></p></body><html>";
+				}
+				return "";
+			}
+		});
+	}
+
+
+
+
+	@Override
+	public Paint getItemOutlinePaint(int row, int col) {
+		// Multiple selection, draw item shape outline
+		if(this.itemsSelector instanceof MultipleItemsSelector && ((MultipleItemsSelector)this.itemsSelector).isSelectedItem(row, col)) {
+			return super.getItemOutlinePaint(row, col);
+		}
+		// Do not trace not selected item outline
+		return null;
+	}
+
+
+	@Override
+	public Paint getItemPaint(int row, int col) {
+
+		Color color = (Color) super.getItemPaint(row, col);
+
+		// Mouse over item
+		if(this.itemsSelector.isMouseOverItem(row, col)) {
+			color = (Color) RendererUtils.getMouseOverItemPaint(color);
+		}
+		// Multiple selection
+		else if(this.itemsSelector instanceof MultipleItemsSelector && ((MultipleItemsSelector)this.itemsSelector).isSelectedItem(row, col))	{
+			color = (Color) RendererUtils.getSelectedItemPaint(color);
+		}
+		return color;
+	}
+
+
+	@Override
+    public LegendItem getLegendItem(int datasetIndex, int series) {
+        XYPlot xyplot = getPlot();
+        if (xyplot == null) {
+            return null;
+        }
+        XYDataset dataset = xyplot.getDataset(datasetIndex);
+        if (dataset == null) {
+            return null;
+        }
+        LegendItem result;
+        XYSeriesLabelGenerator lg = getLegendItemLabelGenerator();
+        String label = lg.generateLabel(dataset, series);
+        String description = label;
+        String toolTipText = null;
+        if (getLegendItemToolTipGenerator() != null) {
+            toolTipText = getLegendItemToolTipGenerator().generateLabel(
+                    dataset, series);
+        }
+        String urlText = null;
+        if (getLegendItemURLGenerator() != null) {
+            urlText = getLegendItemURLGenerator().generateLabel(dataset, 
+                    series);
+        }
+        Shape shape = this.getLegendBar();
+        Paint paint = lookupSeriesPaint(series);
+        result = new LegendItem(label, description, toolTipText, urlText, shape, paint);
+        result.setLabelFont(lookupLegendTextFont(series));
+        Paint labelPaint = lookupLegendTextPaint(series);
+        if (labelPaint != null) {
+            result.setLabelPaint(labelPaint);
+        }
+        result.setDataset(dataset);
+        result.setDatasetIndex(datasetIndex);
+        result.setSeriesKey(dataset.getSeriesKey(series));
+        result.setSeriesIndex(series);
+        if (getGradientPaintTransformer() != null) {
+            result.setFillPaintTransformer(getGradientPaintTransformer());
+        }
+        return result;
+    }
+
+	/**
+	 * @return the itemSelector
+	 */
+	public MouseOverItemSelector getItemsSelector() {
+		return itemsSelector;
+	}
+
+
+
+	@Override
+	public void updateDatasetForDrawingSelectedItemAsLast() {
+		// Do nothing for bar renderer
+	}
+
+
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
+
+}
\ No newline at end of file
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 1334)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 1335)
@@ -1,195 +1,194 @@
-package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
-
-import java.awt.BasicStroke;
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.Graphics2D;
-import java.awt.Paint;
-import java.awt.Shape;
-import java.awt.Stroke;
-import java.awt.geom.AffineTransform;
-import java.awt.geom.Rectangle2D;
-
-import org.jfree.chart.axis.CategoryAxis;
-import org.jfree.chart.axis.ValueAxis;
-import org.jfree.chart.labels.CategoryToolTipGenerator;
-import org.jfree.chart.plot.CategoryPlot;
-import org.jfree.chart.renderer.category.CategoryItemRendererState;
-import org.jfree.chart.renderer.category.LineAndShapeRenderer;
-import org.jfree.data.category.CategoryDataset;
-import org.jfree.data.category.DefaultCategoryDataset;
-import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
-import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
-
-/**
- * Renderer providing item selection system and drawing features for selected item and custom rendering for category charts.
- * @author Sebastien Jacquot
- *
- */
-public class ItemSelectionCategoryLineAndShapeRenderer extends LineAndShapeRenderer implements IRendererWithItemSelection {
-
-
-	/**
-	 * Chart item selector.
-	 */
-	protected MouseOverItemSelector mouseOverItemSelector;
-
-
-
-	/**
-	 *
-	 */
-	public ItemSelectionCategoryLineAndShapeRenderer()	{
-		this(true, true);
-	}
-
-
-	/**
-	 *
-	 * @param linesVisible
-	 * @param shapesVisible
-	 */
-	public ItemSelectionCategoryLineAndShapeRenderer(boolean linesVisible, boolean shapesVisible) {
-		super(linesVisible, shapesVisible);
-		this.mouseOverItemSelector = new MouseOverItemSelector(this);
-
-		// Labels
-		this.initItemLabelGenerator();
-
-		// Tooltips
-		this.initToolTipGenerator(this);
-	}
-
-
-
-	/**
-	 * Initializes the item label generator.
-	 */
-	public void initItemLabelGenerator()	{
-		// TODO
-	}
-
-	/**
-	 * Initializes the tool tip generator.
-	 */
-	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
-		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
-
-			@Override
-			public String generateToolTip(CategoryDataset dataset, int row, int column) {
-
-				// Hexadecimal color
-				Color color = (Color) getSeriesPaint(row);
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
-
-				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
-						+ ChartsEngineCoreMessages.charts_labelValueSeparator + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
-			}
-		});
-	}
-
-
-	@Override
-	public Paint getItemOutlinePaint(int series, int item) {
-		// Change item shape outline color
-		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
-			return super.getItemOutlinePaint(series, item);
-		}
-		// Do not trace not selected item outline
-		return null;
-	}
-
-	@Override
-	public Shape getItemShape(int series, int item) {
-
-		Shape shape = super.getItemShape(series, item);
-
-		// Scale item shape
-		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
-			AffineTransform t = new AffineTransform();
-			t.setToScale(1.9f, 1.9f);
-			shape = t.createTransformedShape(shape);
-		}
-		return shape;
-	}
-
-
-	@Override
-	public Font getItemLabelFont(int series, int item) {
-
-		Font font = super.getItemLabelFont(series, item);
-
-		// Change item label font size and style
-		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
-			font = font.deriveFont(Font.BOLD, font.getSize() * 1.5f);
-		}
-		return font;
-	}
-
-
-	@Override
-	public Stroke getSeriesStroke(int series)	{
-		BasicStroke stroke = (BasicStroke) super.getSeriesStroke(series);
-
-		// Change line width of selected series
-		if(this.mouseOverItemSelector.isMouseOverSeries(series)) {
-			stroke = new BasicStroke(stroke.getLineWidth() * 1.8f);
-		}
-		return stroke;
-	}
-
-	/**
-	 * @return the itemSelector
-	 */
-	public MouseOverItemSelector getItemsSelector() {
-		return mouseOverItemSelector;
-	}
-
-
-
-	@Override
-	public void updateDatasetForDrawingSelectedItemAsLast() {
-		// FIXME : to remove when validated
-		//this.itemSelector.setItemDrawnAtLast(this);
-
-	}
-
-
-	@Override
-	public void drawItem(Graphics2D g2, CategoryItemRendererState state, Rectangle2D dataArea, CategoryPlot plot, CategoryAxis domainAxis,
-	            ValueAxis rangeAxis, CategoryDataset dataset, int row, int column, int pass) {
-
-		// Manage the drawing as last of the selected plot item if exists
-		if(this.mouseOverItemSelector.getMouseOverSeries() != -1)	{
-
-			// FIXME: this code bug, sometimes selected point is not display especially after a zoom, because the last index item is computed on the whole dataset but it should be the last item index
-			// only of the visible current area, see the tips XY renderer to correct this
-			int lastSeriesIndex = ((CategoryPlot)this.getPlot()).getDataset().getRowCount() - 1;
-
-			// Draw the item of last series instead of the selected
-			if(row == this.mouseOverItemSelector.getMouseOverSeries())	{
-				row = lastSeriesIndex;
-			}
-			// Draw the item of the selected series instead of the last
-			else if(row == lastSeriesIndex)	{
-				row = this.mouseOverItemSelector.getMouseOverSeries();
-			}
-		}
-		super.drawItem(g2, state, dataArea, plot, domainAxis, rangeAxis, dataset, row, column, pass);
-	 }
-
-
-	@Override
-	public void init() {
-		// TODO Auto-generated method stub
-		
-	}
-
-
-
-
-}
-
+package org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers;
+
+import java.awt.BasicStroke;
+import java.awt.Color;
+import java.awt.Font;
+import java.awt.Graphics2D;
+import java.awt.Paint;
+import java.awt.Shape;
+import java.awt.Stroke;
+import java.awt.geom.AffineTransform;
+import java.awt.geom.Rectangle2D;
+
+import org.jfree.chart.axis.CategoryAxis;
+import org.jfree.chart.axis.ValueAxis;
+import org.jfree.chart.labels.CategoryToolTipGenerator;
+import org.jfree.chart.plot.CategoryPlot;
+import org.jfree.chart.renderer.category.CategoryItemRendererState;
+import org.jfree.chart.renderer.category.LineAndShapeRenderer;
+import org.jfree.data.category.CategoryDataset;
+import org.jfree.data.category.DefaultCategoryDataset;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
+import org.txm.chartsengine.jfreechart.core.renderers.MouseOverItemSelector;
+import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
+import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing.CustomHTMLToolTip;
+
+/**
+ * Renderer providing item selection system and drawing features for selected item and custom rendering for category charts.
+ * @author Sebastien Jacquot
+ *
+ */
+public class ItemSelectionCategoryLineAndShapeRenderer extends LineAndShapeRenderer implements IRendererWithItemSelection {
+
+
+	/**
+	 * Chart item selector.
+	 */
+	protected MouseOverItemSelector mouseOverItemSelector;
+
+
+
+	/**
+	 *
+	 */
+	public ItemSelectionCategoryLineAndShapeRenderer()	{
+		this(true, true);
+	}
+
+
+	/**
+	 *
+	 * @param linesVisible
+	 * @param shapesVisible
+	 */
+	public ItemSelectionCategoryLineAndShapeRenderer(boolean linesVisible, boolean shapesVisible) {
+		super(linesVisible, shapesVisible);
+		this.mouseOverItemSelector = new MouseOverItemSelector(this);
+
+		// Labels
+		this.initItemLabelGenerator();
+
+		// Tooltips
+		this.initToolTipGenerator(this);
+	}
+
+
+
+	/**
+	 * Initializes the item label generator.
+	 */
+	public void initItemLabelGenerator()	{
+		// TODO
+	}
+
+	/**
+	 * Initializes the tool tip generator.
+	 */
+	public void initToolTipGenerator(final IRendererWithItemSelection renderer)	{
+		this.setBaseToolTipGenerator(new CategoryToolTipGenerator() {
+
+			@Override
+			public String generateToolTip(CategoryDataset dataset, int row, int column) {
+
+				// Hexadecimal color
+				Color color = (Color) getSeriesPaint(row);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+
+				DefaultCategoryDataset catDataset = (DefaultCategoryDataset) dataset;
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>" + catDataset.getColumnKey(column) + "</p><p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row)
+						+ ChartsEngineCoreMessages.EMPTY + " </span><b>" + catDataset.getValue(row, column) + "</b></p></body><html>";
+			}
+		});
+	}
+
+
+	@Override
+	public Paint getItemOutlinePaint(int series, int item) {
+		// Change item shape outline color
+		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
+			return super.getItemOutlinePaint(series, item);
+		}
+		// Do not trace not selected item outline
+		return null;
+	}
+
+	@Override
+	public Shape getItemShape(int series, int item) {
+
+		Shape shape = super.getItemShape(series, item);
+
+		// Scale item shape
+		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
+			AffineTransform t = new AffineTransform();
+			t.setToScale(1.9f, 1.9f);
+			shape = t.createTransformedShape(shape);
+		}
+		return shape;
+	}
+
+
+	@Override
+	public Font getItemLabelFont(int series, int item) {
+
+		Font font = super.getItemLabelFont(series, item);
+
+		// Change item label font size and style
+		if(this.mouseOverItemSelector.isMouseOverItem(series, item)) {
+			font = font.deriveFont(Font.BOLD, font.getSize() * 1.5f);
+		}
+		return font;
+	}
+
+
+	@Override
+	public Stroke getSeriesStroke(int series)	{
+		BasicStroke stroke = (BasicStroke) super.getSeriesStroke(series);
+
+		// Change line width of selected series
+		if(this.mouseOverItemSelector.isMouseOverSeries(series)) {
+			stroke = new BasicStroke(stroke.getLineWidth() * 1.8f);
+		}
+		return stroke;
+	}
+
+	/**
+	 * @return the itemSelector
+	 */
+	public MouseOverItemSelector getItemsSelector() {
+		return mouseOverItemSelector;
+	}
+
+
+
+	@Override
+	public void updateDatasetForDrawingSelectedItemAsLast() {
+		// FIXME : to remove when validated
+		//this.itemSelector.setItemDrawnAtLast(this);
+
+	}
+
+
+	@Override
+	public void drawItem(Graphics2D g2, CategoryItemRendererState state, Rectangle2D dataArea, CategoryPlot plot, CategoryAxis domainAxis,
+	            ValueAxis rangeAxis, CategoryDataset dataset, int row, int column, int pass) {
+
+		// Manage the drawing as last of the selected plot item if exists
+		if(this.mouseOverItemSelector.getMouseOverSeries() != -1)	{
+
+			// FIXME: this code bug, sometimes selected point is not display especially after a zoom, because the last index item is computed on the whole dataset but it should be the last item index
+			// only of the visible current area, see the tips XY renderer to correct this
+			int lastSeriesIndex = ((CategoryPlot)this.getPlot()).getDataset().getRowCount() - 1;
+
+			// Draw the item of last series instead of the selected
+			if(row == this.mouseOverItemSelector.getMouseOverSeries())	{
+				row = lastSeriesIndex;
+			}
+			// Draw the item of the selected series instead of the last
+			else if(row == lastSeriesIndex)	{
+				row = this.mouseOverItemSelector.getMouseOverSeries();
+			}
+		}
+		super.drawItem(g2, state, dataArea, plot, domainAxis, rangeAxis, dataset, row, column, pass);
+	 }
+
+
+	@Override
+	public void init() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
+
+
+}
